Get available VAT rates for an organization based on VAT mode
GET
/
organizations
/
{organizationId}
/
vatsettings
/
{vatMode}
Get available VAT rates for an organization based on VAT mode
curl --request GET \
--url https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/vatsettings/{vatMode} \
--header 'Authorization: Bearer <token>'import requests
url = "https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/vatsettings/{vatMode}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/vatsettings/{vatMode}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/vatsettings/{vatMode}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/vatsettings/{vatMode}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/vatsettings/{vatMode}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/vatsettings/{vatMode}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"meta": {
"total": 2,
"count": 2
},
"data": [
{
"taxRateId": "ff8080819c5664d9019c56706bc30008",
"rate": 25,
"companyTaxRateId": "ff8080819c5664d9019c56706bc30009",
"salaryCodeId": "ff8080819c5664d9019c56706bc3000a",
"accountingNumberId": null
},
{
"taxRateId": "ff8080819c5664d9019c56706bc3000c",
"rate": 12,
"companyTaxRateId": null,
"salaryCodeId": null,
"accountingNumberId": null
}
]
}{
"result": "error",
"code": "ORGANIZATION_NOT_FOUND",
"description": "Failed to get organization for id: {orgId}"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The organization ID
The VAT mode to retrieve tax rates for
Available options:
NO_VAT, SINGLE_VAT, MULTI_VAT Response
OK
Hide child attributes
Hide child attributes
ID of the VAT rate
VAT rate percentage
ID of the company VAT rate mapping (null if not yet mapped)
ID of the salary code (null if not yet mapped)
ID of the accounting number (null if not yet mapped)
Last modified on August 31, 2026
⌘I
Get available VAT rates for an organization based on VAT mode
curl --request GET \
--url https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/vatsettings/{vatMode} \
--header 'Authorization: Bearer <token>'import requests
url = "https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/vatsettings/{vatMode}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/vatsettings/{vatMode}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/vatsettings/{vatMode}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/vatsettings/{vatMode}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/vatsettings/{vatMode}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-api.findity.com/api/v1/admin/organizations/{organizationId}/vatsettings/{vatMode}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"meta": {
"total": 2,
"count": 2
},
"data": [
{
"taxRateId": "ff8080819c5664d9019c56706bc30008",
"rate": 25,
"companyTaxRateId": "ff8080819c5664d9019c56706bc30009",
"salaryCodeId": "ff8080819c5664d9019c56706bc3000a",
"accountingNumberId": null
},
{
"taxRateId": "ff8080819c5664d9019c56706bc3000c",
"rate": 12,
"companyTaxRateId": null,
"salaryCodeId": null,
"accountingNumberId": null
}
]
}{
"result": "error",
"code": "ORGANIZATION_NOT_FOUND",
"description": "Failed to get organization for id: {orgId}"
}
